FROM nginx:latest

COPY nginx.conf /etc/nginx/nginx.conf

COPY ./ /usr/share/nginx/html

CMD ["sh", "-c", "sed -i \"s@<html@<html data-env=\"$API_ENV\"@\" /usr/share/nginx/html/index.html; nginx -g \"daemon off;\""]